xgboost

Public Types | Public Member Functions | Static Public Member Functions | List of all members
xgboost::common::HostSketchContainer Class Reference

`#include <quantile.h>`

Collaboration diagram for xgboost::common::HostSketchContainer:

## Public Types
using | WQSketch = WQuantileSketch< float, float >

## Public Member Functions
| HostSketchContainer (std::vector< bst_row_t > columns_size, int32_t max_bins, bool use_group)
void | GatherSketchInfo (std::vector< WQSketch::SummaryContainer > const &reduced, std::vector< bst_row_t > *p_worker_segments, std::vector< bst_row_t > *p_sketches_scan, std::vector< WQSketch::Entry > *p_global_sketches)
void | AllReduce (std::vector< WQSketch::SummaryContainer > *p_reduced, std::vector< int32_t > *p_num_cuts)
void | PushRowPage (SparsePage const &page, MetaInfo const &info)
void | MakeCuts (HistogramCuts *cuts)

## Static Public Member Functions
static bool | UseGroup (MetaInfo const &info)
static std::vector< bst_row_t > | CalcColumnSize (SparsePage const &page, bst_feature_t const n_columns, size_t const nthreads)
static std::vector< bst_feature_t > | LoadBalance (SparsePage const &page, bst_feature_t n_columns, size_t const nthreads)
static uint32_t | SearchGroupIndFromRow (std::vector< bst_uint > const &group_ptr, size_t const base_rowid)

## Detailed Description

A sketch matrix storing sketches for each feature.

## Member Typedef Documentation

## ◆ WQSketch

using xgboost::common::HostSketchContainer::WQSketch = WQuantileSketch<float, float>

## Constructor & Destructor Documentation

## ◆ HostSketchContainer()

xgboost::common::HostSketchContainer::HostSketchContainer | ( | std::vector< bst_row_t > | columns_size,
|  | int32_t | max_bins,
|  | bool | use_group
| ) |  |

## Member Function Documentation

## ◆ AllReduce()

void xgboost::common::HostSketchContainer::AllReduce | ( | std::vector< WQSketch::SummaryContainer > * | p_reduced,
|  | std::vector< int32_t > * | p_num_cuts
| ) |  |

## ◆ CalcColumnSize()

static std::vector<bst_row_t> xgboost::common::HostSketchContainer::CalcColumnSize | ( | SparsePage const & | page,
|  | bst_feature_t const | n_columns,
|  | size_t const | nthreads
| ) |  |
| static

## ◆ GatherSketchInfo()

void xgboost::common::HostSketchContainer::GatherSketchInfo | ( | std::vector< WQSketch::SummaryContainer > const & | reduced,
|  | std::vector< bst_row_t > * | p_worker_segments,
|  | std::vector< bst_row_t > * | p_sketches_scan,
|  | std::vector< WQSketch::Entry > * | p_global_sketches
| ) |  |

## ◆ LoadBalance()

static std::vector<bst_feature_t> xgboost::common::HostSketchContainer::LoadBalance | ( | SparsePage const & | page,
|  | bst_feature_t | n_columns,
|  | size_t const | nthreads
| ) |  |
| static

## ◆ MakeCuts()

void xgboost::common::HostSketchContainer::MakeCuts | ( | HistogramCuts * | cuts | ) |

## ◆ PushRowPage()

void xgboost::common::HostSketchContainer::PushRowPage | ( | SparsePage const & | page,
|  | MetaInfo const & | info
| ) |  |

## ◆ SearchGroupIndFromRow()

static uint32_t xgboost::common::HostSketchContainer::SearchGroupIndFromRow | ( | std::vector< bst_uint > const & | group_ptr,
|  | size_t const | base_rowid
| ) |  |
| inline static

## ◆ UseGroup()

static bool xgboost::common::HostSketchContainer::UseGroup | ( | MetaInfo const & | info | ) |
| inline static

The documentation for this class was generated from the following file:

- /home/runner/work/xgboost/xgboost/src/common/quantile.h